Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class CharSequenceLexer

    java.lang.Object
      cc.mallet.util.CharSequenceLexer

All Implemented Interfaces:
  Lexer, java.io.Serializable, java.util.Iterator

    public class CharSequenceLexer

extends java.lang.Object
implements Lexer, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.util.regex.Pattern` | `LEX_ALPHA`
`static java.util.regex.Pattern` | `LEX_NONWHITESPACE_CLASSES`
`static java.util.regex.Pattern` | `LEX_NONWHITESPACE_TOGETHER`
`static java.util.regex.Pattern` | `LEX_WORD_CLASSES`
`static java.util.regex.Pattern` | `LEX_WORDS`
`static java.util.regex.Pattern` | `UNICODE_LETTERS`

Constructor Summary
`CharSequenceLexer()`
`CharSequenceLexer(java.lang.CharSequence input, java.util.regex.Pattern regex)`
`CharSequenceLexer(java.lang.CharSequence input, java.lang.String regex)`
`CharSequenceLexer(java.util.regex.Pattern regex)`
`CharSequenceLexer(java.lang.String regex)`

Method Summary
`java.lang.CharSequence` | `getCharSequence()`
`int` | `getEndOffset()`
`java.lang.String` | `getPattern()`
`int` | `getStartOffset()`
`java.lang.String` | `getTokenString()`
`boolean` | `hasNext()`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `next()`
`void` | `remove()`
`void` | `setCharSequence(java.lang.CharSequence input)`
`void` | `setPattern(java.lang.String reg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEX_ALPHA

    public static final java.util.regex.Pattern LEX_ALPHA

### LEX_WORDS

    public static final java.util.regex.Pattern LEX_WORDS

### LEX_NONWHITESPACE_TOGETHER

    public static final java.util.regex.Pattern LEX_NONWHITESPACE_TOGETHER

### LEX_WORD_CLASSES

    public static final java.util.regex.Pattern LEX_WORD_CLASSES

### LEX_NONWHITESPACE_CLASSES

    public static final java.util.regex.Pattern LEX_NONWHITESPACE_CLASSES

### UNICODE_LETTERS

    public static final java.util.regex.Pattern UNICODE_LETTERS

Constructor Detail

### CharSequenceLexer

    public CharSequenceLexer()

### CharSequenceLexer

    public CharSequenceLexer(java.util.regex.Pattern regex)

### CharSequenceLexer

    public CharSequenceLexer(java.lang.String regex)

### CharSequenceLexer

    public CharSequenceLexer(java.lang.CharSequence input,
                             java.util.regex.Pattern regex)

### CharSequenceLexer

    public CharSequenceLexer(java.lang.CharSequence input,
                             java.lang.String regex)

Method Detail

### setCharSequence

    public void setCharSequence(java.lang.CharSequence input)

### getCharSequence

    public java.lang.CharSequence getCharSequence()

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String reg)

### getStartOffset

    public int getStartOffset()

  Specified by:
    `getStartOffset` in interface `Lexer`

### getEndOffset

    public int getEndOffset()

  Specified by:
    `getEndOffset` in interface `Lexer`

### getTokenString

    public java.lang.String getTokenString()

  Specified by:
    `getTokenString` in interface `Lexer`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Lexer`
  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `Lexer`
  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Lexer`
  Specified by:
    `remove` in interface `java.util.Iterator`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD